# -*- rpm-spec -*-
# $Id: tcl-ck,v 1.6 2004/07/10 11:39:44 me Exp $

%define snapshot 20040214
%define teaname ck

# our ncurses anyway with gpm. that sucks
%ifnarch armv4b armv4l armv5b armv5l
%def_with gpm
%else
%def_without gpm
%endif

Name: tcl-%teaname
Version: 8.4
Release: alt2

Summary: Tk-like Curses toolkit for Tcl
License: BSD
Group: Development/Tcl
Url: http://www.ch-werner.de/ck

BuildRequires: libncurses-devel tcl-devel
%if_with gpm
BuildRequires: libgpm-devel
%else
BuildConflicts: libgpm-devel
%endif

# :pserver:cvs@45.free.net/work/oss co ck
Source: %teaname-%{?snapshot:%snapshot}%{!?snapshot:%version}.tar.bz2
Patch0: %name-8.4-alt-make.patch
Patch1: %name-8.4-alt-ckdialog.patch

%description
Ck is a (XPG4|n)curses widget set modelled after Tk designed to work
closely with the tcl scripting language. It allows you to write simple
programs with full featured console mode UIs.

%prep
%setup -q %{?snapshot:-c}
%patch0 -p1
%patch1 -p1

%build
%add_optflags -DUSE_NON_CONST
%configure --enable-shared --enable-gcc --with-tcl=%_libdir
%make_build

%install
%makeinstall
export TERM=dumb
%tea_makeindex -C %buildroot%_tcldatadir/%teaname%version

%files
%_tcllibdir/lib%teaname%version.so
%_tcldatadir/%teaname%version

%changelog
* Sat Jul 10 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.4-alt2
- #4764 fixed

* Sat Feb 14 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.4-alt1
- initial build for %distribution

